## ygl 4.2e

=== Makefile ===
#
#    Ygl: Run 2d-GL programs with standard X11 routines.
#    (C) Fred Hucht 1993-2002
#    EMail: fred@thp.Uni-Duisburg.DE
#
#    $Id: Makefile.std,v 3.4 1996-07-18 18:38:53+02 fred Exp fred $

# Uncomment next line to use X11 bindings (faster, but only 2d)
X11		= -DX11

# Uncomment next line to use OpenGL bindings (slower than X11, but also 3d)
OGL		= -DOGL

# Uncomment next two lines to include FORTRAN bindings
FBO		= fortran.o
FBH		= X11/Yfgl.h

# Uncomment next line to use DoubleBuffer extension with X11
DOUBLEBUF 	= -DDOUBLEBUF

# Uncomment next line to use MultiBuffer extension with X11
MULTIBUF 	= -DMULTIBUF

# Uncomment next two lines to prepend "ygl_" to all function names 
#YGL_PREFIX	= -DYGL_PREFIX
#PH		= X11/Yglprefix.h
#TARGET		= libYglp.a

CDEBUGFLAGS	= -O

OBJS		= ygl.o draw.o misc.o font.o queue.o color.o menu.o gl2ppm.o $(FBO)
TARGET          = libYgl.a

COPTS = $(X11) $(OGL) $(DOUBLEBUF) $(MULTIBUF)
# COPTS = -Aa -D_HPUX_SOURCE -DMULTIBUF -DNO_MULTIBUF_H -L/usr/lib/X11R4 -I/usr/include/X11R4 # For HP-UX 8.0x
# COPTS = -Ae $(DOUBLEBUF) $(MULTIBUF) -L/usr/lib/X11R5 -I/usr/include/X11R5 # For HP-UX 9.0x

# End of configuration

CFLAGS		= -I. $(CDEBUGFLAGS) $(COPTS) $(YGL_PREFIX)

all: 	$(TARGET)

.c.o:	
	$(CC) -c $(CFLAGS) $<

X11/Yglprefix.h:	makeYglprefix X11/Ygl.h
	./makeYglprefix > $@

X11/Ygltypes.h:		makeYgltypes
	./makeYgltypes > $@

makeYgltypes:		makeYgltypes.c
	$(CC) $(CFLAGS) -o makeYgltypes makeYgltypes.c

usleep.i:	header.h
	$(RM) usleep_tst.c
	/bin/ln -s header.h usleep_tst.c
	$(CC) $(CFLAGS) -E usleep_tst.c > usleep.i
	$(RM) usleep_tst.c

usleep.h:	usleep.i
	sed -nf makeusleep.sed usleep.i > usleep.h

misc.o:		usleep.h

$(OBJS):	header.h config.h X11/Ygl.h X11/Ygltypes.h $(PH)

$(TARGET):	$(OBJS)
	/bin/rm -f $@
	ar rv $@ $(OBJS)
	ranlib $@

install:	$(TARGET)
	/bin/cp $(TARGET) /usr/lib/$(TARGET) 
	ranlib /usr/lib/$(TARGET)
	/bin/cp X11/Ygl.h X11/Ygltypes.h $(PH) $(FBH) /usr/include/X11

clean:
	/bin/rm -f *.o *~ $(TARGET) X11/Yglprefix.h X11/Ygltypes.h makeYgltypes usleep.h usleep.i

etags:
	etags *.[ch]

=== contrib/Makefile ===

.SUFFIXES: .gl

TARGETS	= ycpu yup xmap yglmap

all: $(TARGETS)

.c.gl:
	$(CC) $(CFLAGS) -o $@ $< -lgl

.c:
	$(CC) $(CFLAGS) -o $@ $< -lYgl -lXext -lX11

glmap:	xmap.c
	$(CC)          $(CFLAGS) -o $@ $? -lgl

yglmap:	xmap.c
	$(CC)          $(CFLAGS) -o $@ $? -lYgl -lXext -lX11

xmap:	xmap.c
	$(CC) -DXCOLOR $(CFLAGS) -o $@ $? -lYgl -lXext -lX11

clean:
	/bin/rm -f *.o *~ $(TARGETS)

=== examples/Makefile ===
#
#    Ygl: Run 3d-GL programs with standard X11 routines.
#    (C) Fred Hucht 1993-97
#    EMail: fred@thp.Uni-Duisburg.DE
#
#    $Id: Makefile.std,v 3.3 1997-03-13 16:19:21+01 fred Exp fred $

# Uncomment next line to use X11 bindings
X11LIB	= -lX11

# Uncomment next line to use OpenGL bindings
#OGLIB	= -lGL -lGLU

# Uncomment next line to use DoubleBuffer or MultiBuffer extension with X11
MBUFLIB	= -lXext

CDEBUGFLAGS = -O

COPTS =
# COPTS = -Aa -D_HPUX_SOURCE -L/usr/lib/X11R4 -I/usr/include/X11R4 # For HP-UX 8.0x
# COPTS = -Ae -L/usr/lib/X11R5 -I/usr/include/X11R5 # For HP-UX 9.0x

# *************************** End of configuration *************************

.SUFFIXES: .gl

CFLAGS= $(CDEBUGFLAGS) $(COPTS) -I..

REQUIREDLIBS 	= -L.. -lYgl $(MBUFLIB) $(X11LIB) $(OGLIB)

GLTARGETS	= coltest.gl lines.gl rgbtest.gl smile.gl popup.gl lmbind.gl
YGLTARGETS	= coltest    lines    rgbtest    smile    popup    lmbind

all: 	$(YGLTARGETS)
gl: 	$(GLTARGETS)

.c:
	$(CC) $(CFLAGS) -o $@ $< $(REQUIREDLIBS) -lm

.c.gl:
	$(CC) $(CFLAGS) -o $@ $< ../gl2ppm.o -lgl -lm

clean:
	/bin/rm -f *.o *~ $(YGLTARGETS) $(GLTARGETS) *.gif smile_xlf smile_f77 smile_f2c smile_f77.c

smile_f2c: smile_f77.f
	f2c smile_f77.f
	$(CC) $(CFLAGS) -o $@ smile_f77.c -lf2c $(REQUIREDLIBS)

smile_f77: smile_f77.f
	$(FC) $(FFLAGS) -o $@ smile_f77.f $(REQUIREDLIBS)

smile_xlf: smile_xlf.f
	xlf $(FFLAGS) -o $@ smile_xlf.f $(REQUIREDLIBS)

=== debian/changelog ===
ygl (4.2e-7) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Fix building with GCC 15.
  * Fix building twice in a row.  (Closes: #1046077)
  * Drop redundant Rules-Requires-Root: no.

  [ Pablo Lucas Silva Santos ]
  * Fix X11/Xlib.h inclusion detection.  (Closes: #1075698)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Sep 2025 18:11:26 +0200

ygl (4.2e-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063304

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 08:11:50 +0000

ygl (4.2e-6) unstable; urgency=medium

  * QA upload.
  * Add diff as patch in d/patches
    + Avoid patching in heaps, the Makefile
      rather generate them from xmkmf
  * Modernize copyr
  * debian/source/format: 3.0 (quilt) (Closes: #1007483)
  * d/control:
    + Drop compat file, rely on debhelper-compat
      and bump compat level to 13
    + Bump Standards-Version to 4.6.1 (no changes needed)
    + Add "Rules-Requires-Root: no"
    + Format with cme
    + Add ${misc:Depends} for libdevel pkg
    + Update desc to not start with article
    + Remove trailing whitespaces fron d/control and d/ch
    + Move package to salsa, add VCS URLs
    + Un-duplicate short desc
    + Remove section libs for libygl4 - take benefit of
      inheritance rules
  * Remove useless d/dirs
  * d/rules: Add ffile-prefix-map compiler flag in PROJECT_DEFINES
    to avoid embedding the build path (Closes: #1014560)
  * Add d/salsa-ci.yml
    + Disable blhc check in d/salsa-ci.yml
  * Add autopkgtests
  * Add fake watch file

 -- Nilesh Patra <nilesh@debian.org>  Mon, 15 Aug 2022 12:01:49 +0530

ygl (4.2e-5) unstable; urgency=medium

  * QA upload.
    + No maintainer upload noticed since initial release
    + The only uploader of this package has retired, hence orphan
      this package
  * Switch to debhelper version 8 (Closes: #965912)
  * Modernize d/rules, remove archaic stuff (Closes: #999094, #997432)
  * Use libygl4-dev.examples to install examples
  * d/README.Debian: Do not attempt to build examples needing
    escalated permissions

 -- Nilesh Patra <nilesh@debian.org>  Mon, 31 Jan 2022 19:32:12 +0530

ygl (4.2e-4) unstable; urgency=low

  * fixed a typo (Ygl instead of ygl) in the debian/watch file.
  * changed the description a bit.
  * changes debian/control to reflect the new Standards-Version.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 28 Jun 2009 09:57:08 +0530

ygl (4.2e-3) unstable; urgency=low

  * debian/control: added xbitmaps as build-dependency.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 13 Jan 2008 11:44:13 +0530

ygl (4.2e-2) unstable; urgency=low

  * debian/control: added libglu1-mesa-dev as build-dependency. This
  should fix the buildd errors.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 13 Jan 2008 11:19:23 +0530

ygl (4.2e-1) unstable; urgency=low

  * Initial release (Closes: #457208)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 12 Dec 2007 22:16:33 +0530

=== debian/control ===
Source: ygl
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: libs
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               xutils-dev,
               libgl-dev,
               libxext-dev,
               libglu1-mesa-dev,
               xbitmaps
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/ygl
Vcs-Git: https://salsa.debian.org/debian/ygl.git

Package: libygl4-dev
Architecture: any
Section: libdevel
Depends: libygl4t64 (= ${binary:Version}),
         ${misc:Depends}
Description: Graphics library that emulates SGI's GL routines under X11 (headers)
 Ygl is an graphics library that emulates the routines of SGI's GL (sometimes
 called IRIS GL). Please note that GL is different from OpenGL.  Ygl is very
 simple to use, and very fast. The 2D routines are built around the standard
 X11 libraries and reported to be faster than GL itself.  This release will
 also work with FORTRAN code and has been built with 3D support.  The library
 therefore requires the use of the OpenGL libraries.
 .
 This package provides the development files.

Package: libygl4t64
Provides: ${t64:Provides}
Replaces: libygl4
Breaks: libygl4 (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Graphics library that emulates SGI's GL routines under X11 (lib)
 Ygl is an graphics library that emulates the routines of SGI's GL (sometimes
 called IRIS GL). Please note that GL is different from OpenGL.  Ygl is very
 simple to use, and very fast. The 2D routines are built around the standard
 X11 libraries and reported to be faster than GL itself.  This release will
 also work with FORTRAN code and has been built with 3D support.  The library
 therefore requires the use of the OpenGL libraries.
 .
 This package provides the runtime library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

execute_before_dh_auto_configure:
	xmkmf -a

override_dh_installexamples:
	cd examples && $(MAKE) clean && rm -f Makefile
	dh_installexamples

override_dh_auto_build:
	dh_auto_build -- PROJECT_DEFINES="-ffile-prefix-map=$(CURDIR)=."

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, xutils-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Release/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# Source does not exist anymore
# ftp://ftp.thp.uni-duisburg.de/pub/source/X11/Ygl-(.*)\.tar\.gz debian uupdate
